#define snapdate 20160418
#define snaphash 2672153c7bf1b6293060f8b2cdceb9f82e299252

Name:           hawaii-system-preferences
Summary:        Utilities to configure the Hawaii desktop environment
Version:        0.8.0
Release:        1%{?snaphash:.%{snapdate}git%(echo %{snaphash} | cut -c -13)}%{?dist}
Group:          Applications/System
# Executable is GPLv2+
# Preference applets are LGPLv2.1+
License:        GPLv2+ and LGPLv2.1+
URL:            http://hawaiios.org
Source0:        https://github.com/hawaii-desktop/%{name}/%{?snaphash:archive}%{!?snaphash:releases/download}/%{?snaphash}%{!?snaphash:v%{version}}/%{name}-%{?snaphash}%{!?snaphash:%{version}}.tar.gz

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5Quick)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(polkit-qt5-1)
BuildRequires:  qt5-qttools
BuildRequires:  qt5-qttools-devel
BuildRequires:  cmake(Hawaii)
BuildRequires:  cmake(GreenIslandClient)

BuildRequires:  kf5-rpm-macros
BuildRequires:  extra-cmake-modules
BuildRequires:  desktop-file-utils

Requires:       qt5-qtgraphicaleffects
Requires:       polkit-qt5-1
Requires:       libhawaii >= 0.7.0
Requires:       fluid
Requires:       xkeyboard-config


%description
This package contains configuration utilities for the Hawaii desktop, which
allow to configure various settings including desktop fonts, keyboard and
mouse properties, sound setup, desktop theme and background, user interface
properties, screen resolution, and other settings.


%package devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       cmake(Hawaii)

%description devel
%{summary}.


%prep
%setup -q -n %{?snaphash:%{name}-%{snaphash}}%{!?snaphash:%{name}-%{version}}


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kf5} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%find_lang %{name} --all-name --with-qt


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/hawaii-*.desktop


%files -f %{name}.lang
%license LICENSE.GPL LICENSE.LGPL
%doc AUTHORS
%{_bindir}/hawaii-system-preferences
%dir %{_datadir}/hawaii-system-preferences/
%{_datadir}/hawaii-system-preferences/modules/
%{_datadir}/hawaii-system-preferences/shells/
%{_datadir}/applications/hawaii-*.desktop
%{_datadir}/applications/org.hawaiios.*.desktop
%{_kf5_qmldir}/org/hawaiios/systempreferences/
%{_kf5_qmldir}/Hawaii/SystemPreferences/
# Not picked up by %find_lang
%{_datadir}/hawaii-system-preferences/translations/modules/hawaii/*_???.qm
%{_datadir}/hawaii-system-preferences/translations/shells/hawaii/desktopshell/*_???.qm

%files devel
%{_libdir}/cmake/HawaiiSystemPreferences


%changelog
* Mon Aug 22 2016 Pier Luigi Fiorini <pierluigi.fiorini@gmail.com> - 0.8.0-1
- Update to 0.8.0

* Sun Jul 17 2016 Pier Luigi Fiorini <pierluigi.fiorini@hawaiios.org> - 0.7.0-1
- Update to 0.7.0

* Wed May 04 2016 Pier Luigi Fiorini <pierluigi.fiorini@gmail.com> - 0.6.90-2.20160418git2672153c7bf1b
- Rebuild due to libkscreen-qt5 so version bump

* Thu Apr 28 2016 Pier Luigi Fiorini <pierluigi.fiorini@gmail.com> - 0.6.90-1.20160418git2672153c7bf1b
- Update to latest snapshot

* Thu Apr 21 2016 Rex Dieter <rdieter@fedoraproject.org> - 0.6.90-0.2.20160301git
- rebuild (libkscreen-qt5), drop explicit libkscreen-qt5 dep (automatic rpm soname deps should be sufficient)

* Tue Mar 01 2016 Pier Luigi Fiorini <pierluigi.fiorini@gmail.com> - 0.6.90-0.1.20160301git
- Update to latest snapshot

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sun Jan 03 2016 Pier Luigi Fiorini <pierluigi.fiorini@gmail.com> - 0.5.0-1
- Initial packaging
